Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::ConeSector Class Reference

Inheritance diagram for osgSim::ConeSector:

[legend]
List of all members.

## Public Member Functions
| ConeSector ()
| ConeSector (const ConeSector &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| ConeSector (const osg::Vec3 &axis, float angle, float fadeangle=0.0f)
| META_Object (osgSim, ConeSector)
void | setAxis (const osg::Vec3 &axis)
const osg::Vec3 & | getAxis () const
void | setAngle (float angle, float fadeangle=0.0f)
float | getAngle () const
float | getFadeAngle () const
virtual float | operator() (const osg::Vec3 &eyeLocal) const
## Protected Member Functions
virtual | ~ConeSector ()
## Protected Attributes
osg::Vec3 | _axis
float | _cosAngle
float | _cosAngleFade

## Constructor & Destructor Documentation

osgSim::ConeSector::ConeSector | ( |  | ) | `[inline]`

osgSim::ConeSector::ConeSector | ( | const ConeSector & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

osgSim::ConeSector::ConeSector | ( | const osg::Vec3 & | axis,
|  | float | angle,
|  | float | fadeangle = 0.0f
| ) |

virtual osgSim::ConeSector::~ConeSector | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

float osgSim::ConeSector::getAngle | ( |  | ) | const

const osg::Vec3& osgSim::ConeSector::getAxis | ( |  | ) | const

float osgSim::ConeSector::getFadeAngle | ( |  | ) | const

osgSim::ConeSector::META_Object | ( | osgSim | ,
|  | ConeSector |
| ) |

virtual float osgSim::ConeSector::operator() | ( | const osg::Vec3 & | eyeLocal | ) | const`[virtual]`

| Implements osgSim::Sector.

void osgSim::ConeSector::setAngle | ( | float | angle,
|  | float | fadeangle = 0.0f
| ) |

void osgSim::ConeSector::setAxis | ( | const osg::Vec3 & | axis | ) |

## Member Data Documentation

osg::Vec3 osgSim::ConeSector::_axis`[protected]`

float osgSim::ConeSector::_cosAngle`[protected]`

float osgSim::ConeSector::_cosAngleFade`[protected]`

The documentation for this class was generated from the following file:

- Sector